#!/bin/sh
#
#   Copyright (C) 2013 by Reinhard Heuberger , www.pdp11gy.com
#
echo ""
echo ""
echo "         ************************************* "
echo "         ***** Make the Design permanent ***** "
echo "         ************************************* "
echo "         **** flash the design into EPCS **** "
echo ""
echo "  Note: Unfortunately, the flash program does not work with version 15 or 16 "
echo "                       Please use the flash program of version 13.1 or 14.0 "
echo ""
echo "         1) load a NIOS-II processor ...."

jtagconfig

nios2-configure-sof ./in_EPCS/rl02_simulator_V3.sof
echo ""
echo "         2) start flashing...."
#
sof2flash --epcs --input="./in_EPCS/rl02_simulator_V3.sof" --output="./mysof.flash" --verbose 
echo ">> sof2flash done"
#
#
elf2flash --epcs --base=0x0 --input="./in_EPCS/DE0_RL_Emulator_V5.elf" --output="./myelf.flash" --after="./mysof.flash" --verbose 
echo ">> elf2flash done"
#
nios2-flash-programmer --base=0x00010000 --epcs --program --verbose --accept-bad-sysid --program "./mysof.flash" --device=1 --instance=0 '--cable=USB-Blaster on localhost [USB-1]' 
#
nios2-flash-programmer --base=0x00010000 --epcs --program --verbose --accept-bad-sysid --program "./myelf.flash" --device=1 --instance=0 '--cable=USB-Blaster on localhost [USB-1]'  
#
#
echo ""
echo "                     finished "
echo "           re-power the DE0-Nano Board !"
echo ""
